#!/bin/sh

#  build.sh
#  MobilTestSDK
#
#  Created by Richard Jeon on 18/10/2019.
#  Copyright © 2019 Richard Jeon. All rights reserved.

OUTPUT_DIR="output"
PRODUCT_NAME="MobilTestSDK"

SIMULATOR_DIR="${OUTPUT_DIR}/${CONFIGURATION}-iphonesimulator"
SIMULATOR_PATH="${SIMULATOR_DIR}/${PRODUCT_NAME}.framework"

DEVICE_DIR="${OUTPUT_DIR}/${CONFIGURATION}-iphoneos"
DEVICE_PATH="${DEVICE_DIR}/${PRODUCT_NAME}.framework"

UNIVERSAL_PATH="${OUTPUT_DIR}/${PRODUCT_NAME}.framework"

# 시뮬레이터 빌드
xcodebuild -target MobilTestSDK -configuration Release -sdk iphonesimulator clean build CONFIGURATION_BUILD_DIR="${DEVICE_DIR}"
if [ $? != 0 ]; then
    echo "error: 시뮬레이터용 ${PRODUCT_NAME} 모듈 빌드에 실패했습니다."
    exit 1
fi

# 디바이스 빌드
xcodebuild -target MobilTestSDK -configuration Release -sdk iphoneos clean build CONFIGURATION_BUILD_DIR="${SIMULATOR_DIR}"
if [ $? != 0 ]; then
    echo "error: 디바이스용 ${PRODUCT_NAME} 모듈 빌드에 실패했습니다."
    exit 2
fi

# 유니버셜 프레임워크 만들기
rm -rf "${UNIVERSAL_PATH}"
cp -r "${DEVICE_PATH}" "${OUTPUT_DIR}"
lipo "${SIMULATOR_PATH}/${PRODUCT_NAME}" "${DEVICE_PATH}/${PRODUCT_NAME}" -create -output "${UNIVERSAL_PATH}/${PRODUCT_NAME}"

rm -rf "${SIMULATOR_DIR}"
rm -rf "${DEVICE_DIR}"

echo "유니버셜 프레임워크 생성 완료. ${UNIVERSAL_PATH}"
